Name:           libpeas
Version:        1.28.0
Release:        1
Summary:        Gobject-based plugins engine
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libpeas
Source0:        https://download.gnome.org/sources/%{name}/1.28/%{name}-%{version}.tar.xz

BuildRequires:  chrpath, intltool, pkgconfig(gio-2.0), pkgconfig(gladeui-2.0), pkgconfig(glib-2.0) meson
BuildRequires:  pkgconfig(gmodule-2.0), pkgconfig(gobject-2.0), pkgconfig(gobject-introspection-1.0) gcc
BuildRequires:  pkgconfig(gtk+-3.0), pkgconfig(pygobject-3.0), python3-devel, gnome-common gettext gtk-doc
Requires:       python3-gobject
Provides:       %{name}-gtk%{?_isa} %{name}-gtk
Obsoletes:      %{name}-gtk
provides:       %{name}-loader-python3%{?_isa} %{name}-loader-python3
Obsoletes:      %{name}-loader-python3
Provides:       %{name}-loader-python = %{version}-%{release}
Obsoletes:      %{name}-loader-python < %{version}-%{release}

%description
libpeas is a gobject-based plugins engine, and is targetted at
giving every application the chance to assume its own extensibility.
It also has a set of features including, but not limited to:
multiple extension points; on demand (lazy) programming language
support for C, Python and Lua; simplicity of the API

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package includes libraries and header files for developing
applications that use libpeas.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
  -Ddemos=false \
  -Dvapi=true \
  -Dgtk_doc=true

%meson_build

%install
%meson_install

find $RPM_BUILD_ROOT%{_libdir} -type f -name '*.la' -print -exec rm -f {} ';'
chrpath -d $RPM_BUILD_ROOT%{_libdir}/libpeas-1.0/loaders/libpython3loader.so
chrpath -d $RPM_BUILD_ROOT%{_libdir}/libpeas-gtk-1.0.so

%find_lang libpeas-1.0

%ldconfig_scriptlets

%files -f libpeas-1.0.lang
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/libpeas*.so*
%dir %{_libdir}/libpeas-1.0/
%dir %{_libdir}/libpeas-1.0/loaders
%{_libdir}/libpeas-1.0/loaders/*.so*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/icons/hicolor/*/actions/libpeas-plugin.*

%files devel
%{_includedir}/libpeas-1.0/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/glade/catalogs/libpeas-gtk.xml
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/libpeas/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*.gir

%changelog
* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.28.0-1
- Upgrade to 1.28.0
- Update Version, Release, Source0, BuildRequires
- Use meson rebuild, delete python3.8-fix.patch that for autoreconf 

* Mon Jun 22 2020 Zhanghua <zhanghua40@huawei.com> - 1.22.0-11 
- Fix python3.8 complied error

* Thu Nov 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.22.0-10
- Package init
